Class {
	#name : #BaselineOfGrafoscopioUtils,
	#superclass : #BaselineOf,
	#category : #BaselineOfGrafoscopioUtils
}

{ #category : #baselines }
BaselineOfGrafoscopioUtils >> baseline: spec [
	<baseline>
	
	spec
		for: #common 
		do: [ 
			"Dependencies"

			self fossil: spec.			
			spec baseline: 'PetitParser' with: [spec 
					repository: 'github://moosetechnology/PetitParser:v3.x.x/src';
					loads: #('Minimal' 'Indent' 'YAML')]. 
	
			"Packages"
			spec package: 'Grafoscopio-Utils' with:  [ spec requires: #('Fossil' 'PetitParser') ]
	]
]

{ #category : #'as yet unclassified' }
BaselineOfGrafoscopioUtils >> fossil: spec [
	"I load the configuration of Fossil using a external Gitea repository."
	"While more Git independient providers are implemented in Monticello, I will use Iceberg
	to download the repository and load it from a local directory"	
			
	| location |
	location := FileLocator localDirectory / 'iceberg' / 'Offray' / 'Fossil'.
	location exists ifFalse: [
		(IceRepositoryCreator new 
			location: location;
			remote: (IceGitRemote url: 'https://code.tupale.co/Offray/Fossil.git');
			createRepository)
		register
	].
	Metacello new
		repository: 'gitlocal://', location fullName;
		baseline: 'Fossil';
		load.
	spec baseline: 'Fossil' with: [ spec repository: 'gitlocal://', location fullName ]
]
