Extension { #name : #String }

{ #category : #'*Grafoscopio-Utils' }
String >> asCapitalizedPhrase [
	"I convert phrases like 'THIS IS A PHRASE' into 'This is a Phrase'."
	
	^ Character space join: (self substrings collect: [:each | each asLowercase capitalized ])
]

{ #category : #'*Grafoscopio-Utils' }
String >> asDashedLowercase [
	"I convert phrases like 'This is a phrase' into 'this-is-a-phrase'."
	
	^ '-' join: (self substrings collect: [:each | each asLowercase ])
]

{ #category : #'*Grafoscopio-Utils' }
String >> correctAccentedCharacters [
	
	| output |
	output := self 
		copyReplaceAll: 'Ã³' with: 'ó'.
	output := output copyReplaceAll: 'Ã¡' with: 'á'.
	output := output copyReplaceAll: 'Ã©' with: 'é'.
	output := output copyReplaceAll: 'Ã­' with: 'í'.
	output := output copyReplaceAll: 'Ãº' with: 'ú'.
	output := output copyReplaceAll: 'Ã±' with: 'ñ'.
	output := output copyReplaceAll: 'â' with: '“'.
	output := output copyReplaceAll: 'â' with: '”'.
	 ^ output
]

{ #category : #'*Grafoscopio-Utils' }
String >> isOrgModeHeader [
	^ self beginsWithAnyOf: #('* ' '** ' '*** ' '**** ' '***** ' '***** ')

	
]
